---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Get all features in a workspace

Request URI for Sub Account

```
GET /accounts/{account_id}/features
```

Get the features of an account

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/features": {
      "get": {
        "summary": "Get all features in a workspace",
        "description": "",
        "operationId": "get-all-features-in-an-account-sub-account",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "schema": {
              "type": "string",
              "default": "current"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"_data\": [\n        {\n            \"id\": 1,\n            \"name\": \"FeatureOne\",\n            \"accountId\": 1,\n            \"createdOn\": 1621489759,\n            \"modifiedOn\": 1621489759,\n            \"createdBy\": {\n                \"name\": \"Backend Testing\",\n                \"imageUrl\": \"//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png\"\n            },\n            \"variables\": [\n                {\n                    \"id\": 1,\n                    \"variableName\": \"var1\",\n                    \"dataType\": \"string\",\n                    \"defaultValue\": \"val1\"\n                },\n                {\n                    \"id\": 2,\n                    \"variableName\": \"var2\",\n                    \"dataType\": \"int\",\n                    \"defaultValue\": 32\n                },\n                {\n                    \"id\": 3,\n                    \"variableName\": \"var3\",\n                    \"dataType\": \"float\",\n                    \"defaultValue\": 10.5\n                },\n                {\n                    \"id\": 4,\n                    \"variableName\": \"var4\",\n                    \"dataType\": \"boolean\",\n                    \"defaultValue\": true\n                }\n            ],\n            \"setting\": {\n                \"isEditable\": false,\n                \"associatedCampaigns\": [\n                    {\n                        \"id\": 146,\n                        \"name\": \"Campaign 146\",\n                        \"status\": \"RUNNING\",\n                        \"type\": \"feature-test\"\n                    }\n                ]\n            }\n        },\n        {\n            \"id\": 2,\n            \"name\": \"Feature2\",\n            \"accountId\": 1,\n            \"createdOn\": 1621490667,\n            \"modifiedOn\": 1621490667,\n            \"createdBy\": {\n                \"name\": \"Backend Testing\",\n                \"imageUrl\": \"//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png\"\n            },\n            \"variables\": [\n                {\n                    \"id\": 1,\n                    \"variableName\": \"var1\",\n                    \"dataType\": \"string\",\n                    \"defaultValue\": \"val1\"\n                },\n                {\n                    \"id\": 2,\n                    \"variableName\": \"var2\",\n                    \"dataType\": \"int\",\n                    \"defaultValue\": 32\n                },\n                {\n                    \"id\": 3,\n                    \"variableName\": \"var3\",\n                    \"dataType\": \"float\",\n                    \"defaultValue\": 10.5\n                },\n                {\n                    \"id\": 4,\n                    \"variableName\": \"var4\",\n                    \"dataType\": \"boolean\",\n                    \"defaultValue\": true\n                }\n            ],\n            \"setting\": {\n                \"isEditable\": true,\n                \"associatedCampaigns\": []\n            }\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "_data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "FeatureOne"
                          },
                          "accountId": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "createdOn": {
                            "type": "integer",
                            "example": 1621489759,
                            "default": 0
                          },
                          "modifiedOn": {
                            "type": "integer",
                            "example": 1621489759,
                            "default": 0
                          },
                          "createdBy": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "type": "string",
                                "example": "Backend Testing"
                              },
                              "imageUrl": {
                                "type": "string",
                                "example": "//gravatar.com/avatar/5f32891bf0bda2e1c4a931e72f86975b?s=24&d=https%3A%2F%2Fapp.wingify.com%2Fassets%2Fimages%2Favatar-new-3.png"
                              }
                            }
                          },
                          "variables": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "integer",
                                  "example": 1,
                                  "default": 0
                                },
                                "variableName": {
                                  "type": "string",
                                  "example": "var1"
                                },
                                "dataType": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "defaultValue": {
                                  "type": "string",
                                  "example": "val1"
                                }
                              }
                            }
                          },
                          "setting": {
                            "type": "object",
                            "properties": {
                              "isEditable": {
                                "type": "boolean",
                                "example": false,
                                "default": true
                              },
                              "associatedCampaigns": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "integer",
                                      "example": 146,
                                      "default": 0
                                    },
                                    "name": {
                                      "type": "string",
                                      "example": "Campaign 146"
                                    },
                                    "status": {
                                      "type": "string",
                                      "example": "RUNNING"
                                    },
                                    "type": {
                                      "type": "string",
                                      "example": "feature-test"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```